Port VTI algorithms onto StatMan
Status: Closed Start date: Oct 20, 2015

Priority: Normal Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Algorithms Integration   

Infrastructure: Development   

Description

This ticket will follow the porting of legacy-VTI service algorithms onto StatMan. These algorithms were previously included in a

library used by the VTI service and should be transformed into StatMan algorithms.

Subtasks:

History

#1 - Oct 19, 2015 03:53 PM - Massimiliano Assante

- Due date set to Oct 30, 2015

#2 - Oct 19, 2015 03:54 PM - Massimiliano Assante

Ideally this porting should be performed within the end of October, I set the due date for Oct 30th.

#3 - Oct 19, 2015 04:21 PM - Gianpaolo Coro

This is a quite large activity, requiring me to build 4 algorithms for StatMan, to integrate an old project (TimeSeriesGeoTools), serveral resources

(Databases, GIS layers etc.) with the StatMan libraries and to generalise the algorithms (that were conceived to work with TimeSeries tables). Since

the processes used old geotools libraries, I'm not sure they are still compatible with the infrastructure dependencies.

The due data could be postponed.

#4 - Oct 19, 2015 05:03 PM - Massimiliano Assante

For the upcoming release we could make available the algorithm you mentioned me about stockassesment and port the other algorithms later on.

What do you think @gianpaolo.coro@isti.cnr.it 

#5 - Dec 01, 2015 01:39 PM - Gianpaolo Coro

- Status changed from New to Closed

The algorithms will be released in gcube 3.10 under the "Vessels" algorithms category on StatMan.
